define(["three", "camera", "util", "random", "objects"],
    function(THREE, camera, Util, Random, objects) {
        var scene = new THREE.Scene();

        var textPlaneMesh;

        scene.init = function() {
            textPlaneMesh = objects.creditsPlane.clone();
            textPlaneMesh.position.set(0, 0, 0);
            scene.add(textPlaneMesh);
        }

        scene.enter = function() {
            camera.reset();
            scene.fadeAmount = 0;
        }

        scene.update = function(t, dt) {
        }

        return scene;
    });
                  